source: mod_gnutls/test/Makefile.in @ 02c8e54

debian/masterdebian/stretch-backportsjessie-backportsupstream upstream/0.7.2
Last change on this file since 02c8e54 was 02c8e54, checked in by Daniel Kahn Gillmor <dkg@…>, 4 years ago

Imported Upstream version 0.7.2

  • Property mode set to 100644
File size: 52.1 KB
Line 
1# Makefile.in generated by automake 1.15 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17#!/usr/bin/make -f
18# Authors:
19# Daniel Kahn Gillmor <dkg@fifthhorseman.net>
20# Thomas Klute <thomas2.klute@uni-dortmund.de>
21
22# General rules to set up a miniature CA & server & client environment
23# for the test suite
24VPATH = @srcdir@
25am__is_gnu_make = { \
26  if test -z '$(MAKELEVEL)'; then \
27    false; \
28  elif test -n '$(MAKE_HOST)'; then \
29    true; \
30  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
31    true; \
32  else \
33    false; \
34  fi; \
35}
36am__make_running_with_option = \
37  case $${target_option-} in \
38      ?) ;; \
39      *) echo "am__make_running_with_option: internal error: invalid" \
40              "target option '$${target_option-}' specified" >&2; \
41         exit 1;; \
42  esac; \
43  has_opt=no; \
44  sane_makeflags=$$MAKEFLAGS; \
45  if $(am__is_gnu_make); then \
46    sane_makeflags=$$MFLAGS; \
47  else \
48    case $$MAKEFLAGS in \
49      *\\[\ \   ]*) \
50        bs=\\; \
51        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
52          | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
53    esac; \
54  fi; \
55  skip_next=no; \
56  strip_trailopt () \
57  { \
58    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
59  }; \
60  for flg in $$sane_makeflags; do \
61    test $$skip_next = yes && { skip_next=no; continue; }; \
62    case $$flg in \
63      *=*|--*) continue;; \
64        -*I) strip_trailopt 'I'; skip_next=yes;; \
65      -*I?*) strip_trailopt 'I';; \
66        -*O) strip_trailopt 'O'; skip_next=yes;; \
67      -*O?*) strip_trailopt 'O';; \
68        -*l) strip_trailopt 'l'; skip_next=yes;; \
69      -*l?*) strip_trailopt 'l';; \
70      -[dEDm]) skip_next=yes;; \
71      -[JT]) skip_next=yes;; \
72    esac; \
73    case $$flg in \
74      *$$target_option*) has_opt=yes; break;; \
75    esac; \
76  done; \
77  test $$has_opt = yes
78am__make_dryrun = (target_option=n; $(am__make_running_with_option))
79am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
80pkgdatadir = $(datadir)/@PACKAGE@
81pkgincludedir = $(includedir)/@PACKAGE@
82pkglibdir = $(libdir)/@PACKAGE@
83pkglibexecdir = $(libexecdir)/@PACKAGE@
84am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
85install_sh_DATA = $(install_sh) -c -m 644
86install_sh_PROGRAM = $(install_sh) -c
87install_sh_SCRIPT = $(install_sh) -c
88INSTALL_HEADER = $(INSTALL_DATA)
89transform = $(program_transform_name)
90NORMAL_INSTALL = :
91PRE_INSTALL = :
92POST_INSTALL = :
93NORMAL_UNINSTALL = :
94PRE_UNINSTALL = :
95POST_UNINSTALL = :
96build_triplet = @build@
97host_triplet = @host@
98target_triplet = @target@
99@USE_MSVA_TRUE@am__append_1 = test-15_basic_msva.bash
100@USE_MSVA_TRUE@am__append_2 = $(msva_home)/trustdb.gpg client.uid
101@USE_MSVA_TRUE@am__append_3 = $(msva_home)/trustdb.gpg
102subdir = test
103ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
104am__aclocal_m4_deps = $(top_srcdir)/m4/apache.m4 \
105        $(top_srcdir)/m4/apache_test.m4 \
106        $(top_srcdir)/m4/apr_memcache.m4 $(top_srcdir)/m4/libtool.m4 \
107        $(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
108        $(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
109        $(top_srcdir)/m4/outoforder.m4 $(top_srcdir)/configure.ac
110am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
111        $(ACLOCAL_M4)
112DIST_COMMON = $(srcdir)/Makefile.am $(am__dist_check_SCRIPTS_DIST) \
113        $(am__DIST_COMMON)
114mkinstalldirs = $(install_sh) -d
115CONFIG_HEADER = $(top_builddir)/include/mod_gnutls_config.h
116CONFIG_CLEAN_FILES =
117CONFIG_CLEAN_VPATH_FILES =
118am__dist_check_SCRIPTS_DIST = test-00_basic.bash \
119        test-01_serverwide_priorities.bash test-02_cache_in_vhost.bash \
120        test-03_cachetimeout_in_vhost.bash test-04_basic_nosni.bash \
121        test-05_mismatched-priorities.bash test-06_verify_sni_a.bash \
122        test-07_verify_sni_b.bash \
123        test-08_verify_no_sni_fallback_to_first_vhost.bash \
124        test-09_verify_no_sni_fails_with_wrong_order.bash \
125        test-10_basic_client_verification.bash \
126        test-11_basic_client_verification_fail.bash \
127        test-12_cgi_variables.bash \
128        test-13_cgi_variables_no_client_cert.bash \
129        test-14_basic_openpgp.bash test-15_basic_msva.bash \
130        test-16_view-status.bash test-17_cgi_vars_large_cert.bash \
131        test-18_client_verification_wrong_cert.bash \
132        test-19_TLS_reverse_proxy.bash \
133        test-20_TLS_reverse_proxy_client_auth.bash \
134        test-21_TLS_reverse_proxy_wrong_cert.bash \
135        test-22_TLS_reverse_proxy_crl_revoke.bash \
136        test-23_TLS_reverse_proxy_mismatched_priorities.bash \
137        test-24_pkcs11_cert.bash
138AM_V_P = $(am__v_P_@AM_V@)
139am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
140am__v_P_0 = false
141am__v_P_1 = :
142AM_V_GEN = $(am__v_GEN_@AM_V@)
143am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
144am__v_GEN_0 = @echo "  GEN     " $@;
145am__v_GEN_1 = 
146AM_V_at = $(am__v_at_@AM_V@)
147am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
148am__v_at_0 = @
149am__v_at_1 = 
150SOURCES =
151DIST_SOURCES =
152RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
153        ctags-recursive dvi-recursive html-recursive info-recursive \
154        install-data-recursive install-dvi-recursive \
155        install-exec-recursive install-html-recursive \
156        install-info-recursive install-pdf-recursive \
157        install-ps-recursive install-recursive installcheck-recursive \
158        installdirs-recursive pdf-recursive ps-recursive \
159        tags-recursive uninstall-recursive
160am__can_run_installinfo = \
161  case $$AM_UPDATE_INFO_DIR in \
162    n|no|NO) false;; \
163    *) (install-info --version) >/dev/null 2>&1;; \
164  esac
165RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
166  distclean-recursive maintainer-clean-recursive
167am__recursive_targets = \
168  $(RECURSIVE_TARGETS) \
169  $(RECURSIVE_CLEAN_TARGETS) \
170  $(am__extra_recursive_targets)
171AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
172        check recheck distdir
173am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
174# Read a list of newline-separated strings from the standard input,
175# and print each of them once, without duplicates.  Input order is
176# *not* preserved.
177am__uniquify_input = $(AWK) '\
178  BEGIN { nonempty = 0; } \
179  { items[$$0] = 1; nonempty = 1; } \
180  END { if (nonempty) { for (i in items) print i; }; } \
181'
182# Make sure the list of sources is unique.  This is necessary because,
183# e.g., the same source file might be shared among _SOURCES variables
184# for different programs/libraries.
185am__define_uniq_tagged_files = \
186  list='$(am__tagged_files)'; \
187  unique=`for i in $$list; do \
188    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
189  done | $(am__uniquify_input)`
190ETAGS = etags
191CTAGS = ctags
192am__tty_colors_dummy = \
193  mgn= red= grn= lgn= blu= brg= std=; \
194  am__color_tests=no
195am__tty_colors = { \
196  $(am__tty_colors_dummy); \
197  if test "X$(AM_COLOR_TESTS)" = Xno; then \
198    am__color_tests=no; \
199  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
200    am__color_tests=yes; \
201  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
202    am__color_tests=yes; \
203  fi; \
204  if test $$am__color_tests = yes; then \
205    red='[0;31m'; \
206    grn='[0;32m'; \
207    lgn='[1;32m'; \
208    blu='[1;34m'; \
209    mgn='[0;35m'; \
210    brg='[1m'; \
211    std='[m'; \
212  fi; \
213}
214am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
215am__vpath_adj = case $$p in \
216    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
217    *) f=$$p;; \
218  esac;
219am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
220am__install_max = 40
221am__nobase_strip_setup = \
222  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
223am__nobase_strip = \
224  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
225am__nobase_list = $(am__nobase_strip_setup); \
226  for p in $$list; do echo "$$p $$p"; done | \
227  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
228  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
229    if (++n[$$2] == $(am__install_max)) \
230      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
231    END { for (dir in files) print dir, files[dir] }'
232am__base_list = \
233  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
234  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
235am__uninstall_files_from_dir = { \
236  test -z "$$files" \
237    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
238    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
239         $(am__cd) "$$dir" && rm -f $$files; }; \
240  }
241am__recheck_rx = ^[     ]*:recheck:[    ]*
242am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
243am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
244# A command that, given a newline-separated list of test names on the
245# standard input, print the name of the tests that are to be re-run
246# upon "make recheck".
247am__list_recheck_tests = $(AWK) '{ \
248  recheck = 1; \
249  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
250    { \
251      if (rc < 0) \
252        { \
253          if ((getline line2 < ($$0 ".log")) < 0) \
254            recheck = 0; \
255          break; \
256        } \
257      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
258        { \
259          recheck = 0; \
260          break; \
261        } \
262      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
263        { \
264          break; \
265        } \
266    }; \
267  if (recheck) \
268    print $$0; \
269  close ($$0 ".trs"); \
270  close ($$0 ".log"); \
271}'
272# A command that, given a newline-separated list of test names on the
273# standard input, create the global log from their .trs and .log files.
274am__create_global_log = $(AWK) ' \
275function fatal(msg) \
276{ \
277  print "fatal: making $@: " msg | "cat >&2"; \
278  exit 1; \
279} \
280function rst_section(header) \
281{ \
282  print header; \
283  len = length(header); \
284  for (i = 1; i <= len; i = i + 1) \
285    printf "="; \
286  printf "\n\n"; \
287} \
288{ \
289  copy_in_global_log = 1; \
290  global_test_result = "RUN"; \
291  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
292    { \
293      if (rc < 0) \
294         fatal("failed to read from " $$0 ".trs"); \
295      if (line ~ /$(am__global_test_result_rx)/) \
296        { \
297          sub("$(am__global_test_result_rx)", "", line); \
298          sub("[        ]*$$", "", line); \
299          global_test_result = line; \
300        } \
301      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
302        copy_in_global_log = 0; \
303    }; \
304  if (copy_in_global_log) \
305    { \
306      rst_section(global_test_result ": " $$0); \
307      while ((rc = (getline line < ($$0 ".log"))) != 0) \
308      { \
309        if (rc < 0) \
310          fatal("failed to read from " $$0 ".log"); \
311        print line; \
312      }; \
313      printf "\n"; \
314    }; \
315  close ($$0 ".trs"); \
316  close ($$0 ".log"); \
317}'
318# Restructured Text title.
319am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
320# Solaris 10 'make', and several other traditional 'make' implementations,
321# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
322# by disabling -e (using the XSI extension "set +e") if it's set.
323am__sh_e_setup = case $$- in *e*) set +e;; esac
324# Default flags passed to test drivers.
325am__common_driver_flags = \
326  --color-tests "$$am__color_tests" \
327  --enable-hard-errors "$$am__enable_hard_errors" \
328  --expect-failure "$$am__expect_failure"
329# To be inserted before the command running the test.  Creates the
330# directory for the log if needed.  Stores in $dir the directory
331# containing $f, in $tst the test, in $log the log.  Executes the
332# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
333# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
334# will run the test scripts (or their associated LOG_COMPILER, if
335# thy have one).
336am__check_pre = \
337$(am__sh_e_setup);                                      \
338$(am__vpath_adj_setup) $(am__vpath_adj)                 \
339$(am__tty_colors);                                      \
340srcdir=$(srcdir); export srcdir;                        \
341case "$@" in                                            \
342  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
343    *) am__odir=.;;                                     \
344esac;                                                   \
345test "x$$am__odir" = x"." || test -d "$$am__odir"       \
346  || $(MKDIR_P) "$$am__odir" || exit $$?;               \
347if test -f "./$$f"; then dir=./;                        \
348elif test -f "$$f"; then dir=;                          \
349else dir="$(srcdir)/"; fi;                              \
350tst=$$dir$$f; log='$@';                                 \
351if test -n '$(DISABLE_HARD_ERRORS)'; then               \
352  am__enable_hard_errors=no;                            \
353else                                                    \
354  am__enable_hard_errors=yes;                           \
355fi;                                                     \
356case " $(XFAIL_TESTS) " in                              \
357  *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
358    am__expect_failure=yes;;                            \
359  *)                                                    \
360    am__expect_failure=no;;                             \
361esac;                                                   \
362$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
363# A shell command to get the names of the tests scripts with any registered
364# extension removed (i.e., equivalently, the names of the test logs, with
365# the '.log' extension removed).  The result is saved in the shell variable
366# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
367# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
368# since that might cause problem with VPATH rewrites for suffix-less tests.
369# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
370am__set_TESTS_bases = \
371  bases='$(TEST_LOGS)'; \
372  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
373  bases=`echo $$bases`
374RECHECK_LOGS = $(TEST_LOGS)
375TEST_SUITE_LOG = test-suite.log
376TEST_EXTENSIONS = @EXEEXT@ .test
377LOG_DRIVER = $(SHELL) $(top_srcdir)/config/test-driver
378LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
379am__set_b = \
380  case '$@' in \
381    */*) \
382      case '$*' in \
383        */*) b='$*';; \
384          *) b=`echo '$@' | sed 's/\.log$$//'`; \
385       esac;; \
386    *) \
387      b='$*';; \
388  esac
389am__test_logs1 = $(TESTS:=.log)
390am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
391TEST_LOGS = $(am__test_logs2:.test.log=.log)
392TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/config/test-driver
393TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
394        $(TEST_LOG_FLAGS)
395DIST_SUBDIRS = $(SUBDIRS)
396am__DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/test_ca.mk \
397        $(top_srcdir)/config/test-driver README
398DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
399am__relativize = \
400  dir0=`pwd`; \
401  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
402  sed_rest='s,^[^/]*/*,,'; \
403  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
404  sed_butlast='s,/*[^/]*$$,,'; \
405  while test -n "$$dir1"; do \
406    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
407    if test "$$first" != "."; then \
408      if test "$$first" = ".."; then \
409        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
410        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
411      else \
412        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
413        if test "$$first2" = "$$first"; then \
414          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
415        else \
416          dir2="../$$dir2"; \
417        fi; \
418        dir0="$$dir0"/"$$first"; \
419      fi; \
420    fi; \
421    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
422  done; \
423  reldir="$$dir2"
424ACLOCAL = @ACLOCAL@
425AMTAR = @AMTAR@
426AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
427APACHE2 = @APACHE2@
428APR_CFLAGS = @APR_CFLAGS@
429APR_CPPFLAGS = @APR_CPPFLAGS@
430APR_INCLUDES = @APR_INCLUDES@
431APR_LDFLAGS = @APR_LDFLAGS@
432APR_LIBS = @APR_LIBS@
433APR_LIBTOOL = @APR_LIBTOOL@
434APR_MEMCACHE_CFLAGS = @APR_MEMCACHE_CFLAGS@
435APR_MEMCACHE_LIBS = @APR_MEMCACHE_LIBS@
436APR_UTIL_CONF = @APR_UTIL_CONF@
437APU_INCLUDES = @APU_INCLUDES@
438APU_LDFLAGS = @APU_LDFLAGS@
439APU_LIBS = @APU_LIBS@
440APU_LIBTOOL = @APU_LIBTOOL@
441APXS_BIN = @APXS_BIN@
442APXS_CFLAGS = @APXS_CFLAGS@
443APXS_EXTENSION = @APXS_EXTENSION@
444AP_BINDIR = @AP_BINDIR@
445AP_CFLAGS = @AP_CFLAGS@
446AP_CPPFLAGS = @AP_CPPFLAGS@
447AP_DEFS = @AP_DEFS@
448AP_INCLUDEDIR = @AP_INCLUDEDIR@
449AP_INCLUDES = @AP_INCLUDES@
450AP_LIBEXECDIR = @AP_LIBEXECDIR@
451AP_PREFIX = @AP_PREFIX@
452AP_SBINDIR = @AP_SBINDIR@
453AP_SYSCONFDIR = @AP_SYSCONFDIR@
454AP_VERSION = @AP_VERSION@
455AR = @AR@
456AUTOCONF = @AUTOCONF@
457AUTOHEADER = @AUTOHEADER@
458AUTOMAKE = @AUTOMAKE@
459AWK = @AWK@
460CC = @CC@
461CCDEPMODE = @CCDEPMODE@
462CFLAGS = @CFLAGS@
463CPP = @CPP@
464CPPFLAGS = @CPPFLAGS@
465CYGPATH_W = @CYGPATH_W@
466DEFS = @DEFS@
467DEPDIR = @DEPDIR@
468DLLTOOL = @DLLTOOL@
469DSYMUTIL = @DSYMUTIL@
470DUMPBIN = @DUMPBIN@
471ECHO_C = @ECHO_C@
472ECHO_N = @ECHO_N@
473ECHO_T = @ECHO_T@
474EGREP = @EGREP@
475EXEEXT = @EXEEXT@
476FGREP = @FGREP@
477GREP = @GREP@
478INSTALL = @INSTALL@
479INSTALL_DATA = @INSTALL_DATA@
480INSTALL_PROGRAM = @INSTALL_PROGRAM@
481INSTALL_SCRIPT = @INSTALL_SCRIPT@
482INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
483LD = @LD@
484LDFLAGS = @LDFLAGS@
485LIBGNUTLS_CFLAGS = @LIBGNUTLS_CFLAGS@
486LIBGNUTLS_LIBS = @LIBGNUTLS_LIBS@
487LIBOBJS = @LIBOBJS@
488LIBS = @LIBS@
489LIBTOOL = @LIBTOOL@
490LIPO = @LIPO@
491LN_S = @LN_S@
492LTLIBOBJS = @LTLIBOBJS@
493MAINT = @MAINT@
494MAKEINFO = @MAKEINFO@
495MANIFEST_TOOL = @MANIFEST_TOOL@
496MKDIR_P = @MKDIR_P@
497MODULE_CFLAGS = @MODULE_CFLAGS@
498MODULE_LIBS = @MODULE_LIBS@
499MOD_GNUTLS_VERSION = @MOD_GNUTLS_VERSION@
500NM = @NM@
501NMEDIT = @NMEDIT@
502OBJDUMP = @OBJDUMP@
503OBJEXT = @OBJEXT@
504OOO_MAINTAIN = @OOO_MAINTAIN@
505OTOOL = @OTOOL@
506OTOOL64 = @OTOOL64@
507PACKAGE = @PACKAGE@
508PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
509PACKAGE_NAME = @PACKAGE_NAME@
510PACKAGE_STRING = @PACKAGE_STRING@
511PACKAGE_TARNAME = @PACKAGE_TARNAME@
512PACKAGE_URL = @PACKAGE_URL@
513PACKAGE_VERSION = @PACKAGE_VERSION@
514PANDOC = @PANDOC@
515PATH_SEPARATOR = @PATH_SEPARATOR@
516PDFLATEX = @PDFLATEX@
517PKG_CONFIG = @PKG_CONFIG@
518PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
519PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
520RANLIB = @RANLIB@
521SED = @SED@
522SET_MAKE = @SET_MAKE@
523SHELL = @SHELL@
524STRIP = @STRIP@
525TEST_HOST = @TEST_HOST@
526TEST_IP = @TEST_IP@
527VERSION = @VERSION@
528abs_builddir = @abs_builddir@
529abs_srcdir = @abs_srcdir@
530abs_top_builddir = @abs_top_builddir@
531abs_top_srcdir = @abs_top_srcdir@
532ac_ct_AR = @ac_ct_AR@
533ac_ct_CC = @ac_ct_CC@
534ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
535am__include = @am__include@
536am__leading_dot = @am__leading_dot@
537am__quote = @am__quote@
538am__tar = @am__tar@
539am__untar = @am__untar@
540bindir = @bindir@
541build = @build@
542build_alias = @build_alias@
543build_cpu = @build_cpu@
544build_os = @build_os@
545build_vendor = @build_vendor@
546builddir = @builddir@
547datadir = @datadir@
548datarootdir = @datarootdir@
549docdir = @docdir@
550dvidir = @dvidir@
551exec_prefix = @exec_prefix@
552have_apr_memcache = @have_apr_memcache@
553host = @host@
554host_alias = @host_alias@
555host_cpu = @host_cpu@
556host_os = @host_os@
557host_vendor = @host_vendor@
558htmldir = @htmldir@
559includedir = @includedir@
560infodir = @infodir@
561install_sh = @install_sh@
562libdir = @libdir@
563libexecdir = @libexecdir@
564localedir = @localedir@
565localstatedir = @localstatedir@
566mandir = @mandir@
567mkdir_p = @mkdir_p@
568oldincludedir = @oldincludedir@
569pdfdir = @pdfdir@
570prefix = @prefix@
571program_transform_name = @program_transform_name@
572psdir = @psdir@
573sbindir = @sbindir@
574sharedstatedir = @sharedstatedir@
575srcdir = @srcdir@
576sysconfdir = @sysconfdir@
577target = @target@
578target_alias = @target_alias@
579target_cpu = @target_cpu@
580target_os = @target_os@
581target_vendor = @target_vendor@
582top_build_prefix = @top_build_prefix@
583top_builddir = @top_builddir@
584top_srcdir = @top_srcdir@
585SUBDIRS = tests
586dist_check_SCRIPTS = test-00_basic.bash \
587        test-01_serverwide_priorities.bash test-02_cache_in_vhost.bash \
588        test-03_cachetimeout_in_vhost.bash test-04_basic_nosni.bash \
589        test-05_mismatched-priorities.bash test-06_verify_sni_a.bash \
590        test-07_verify_sni_b.bash \
591        test-08_verify_no_sni_fallback_to_first_vhost.bash \
592        test-09_verify_no_sni_fails_with_wrong_order.bash \
593        test-10_basic_client_verification.bash \
594        test-11_basic_client_verification_fail.bash \
595        test-12_cgi_variables.bash \
596        test-13_cgi_variables_no_client_cert.bash \
597        test-14_basic_openpgp.bash $(am__append_1) \
598        test-16_view-status.bash test-17_cgi_vars_large_cert.bash \
599        test-18_client_verification_wrong_cert.bash \
600        test-19_TLS_reverse_proxy.bash \
601        test-20_TLS_reverse_proxy_client_auth.bash \
602        test-21_TLS_reverse_proxy_wrong_cert.bash \
603        test-22_TLS_reverse_proxy_crl_revoke.bash \
604        test-23_TLS_reverse_proxy_mismatched_priorities.bash \
605        test-24_pkcs11_cert.bash
606TESTS = $(dist_check_SCRIPTS)
607
608# Identities in the miniature CA, server, and client environment for
609# the test suite
610identities = server authority client imposter rogueca
611# Append strings after ":=" to each identity to generate a list of
612# necessary files
613pgp_tokens = $(identities:=/secring.gpg) $(identities:=/cert.pgp) \
614        $(identities:=/secret.pgp)
615
616x509_keys = $(identities:=/secret.key)
617x509_certs = $(identities:=/x509.pem)
618x509_tokens = $(x509_certs) $(x509_keys)
619tokens = $(x509_tokens) $(pgp_tokens)
620
621# Test cases trying to create keys and certificates in parallel causes
622# race conditions. Ensure that all keys and certificates are generated
623# before tests get to run.
624#
625# NOTE: Once the support files have been generated, test cases can be
626# run with multiple jobs, but real parallelization would require
627# dynamic port assignments. At the moment, lock files ensure that only
628# one Apache instance (possibly plus a proxy back end instance) is
629# running at any time, so test cases actually have to wait for each
630# other - just not in any particular order.
631
632# SoftHSM files
633check_DATA = $(tokens) server/crl.pem $(am__append_2) \
634        server/softhsm.db make-test-dirs
635
636# Delete X.509 certificates and generated templates on "mostlyclean"
637# target. Certificates can be rebuilt without generating new key
638# pairs, and regenerating them makes it possible to change identities
639# (e.g. host names) without wasting entropy on new keys (which would
640# happen after "clean").
641
642# Delete PGP keyrings on "mostlyclean" target. They are created from
643# the X.509 private keys and certificates with an expiration time of
644# one day, so regenerating them is both fast and frequently
645# necessary.
646
647# Delete lock files for test servers on "mostlyclean" target.
648MOSTLYCLEANFILES = cache/* logs/* outputs/* server/crl.pem */x509.pem \
649        $(generated_templates) *.uid */*.pgp */*.gpg */*.gpg~ \
650        */gpg.conf authority/lock *.lock $(am__append_3) \
651        tests/24_pkcs11_cert/softhsm.conf server/softhsm.db
652cert_templates = authority.template.in client.template.in \
653        imposter.template.in rogueca.template server.template.in
654
655generated_templates = authority.template client.template \
656        imposter.template server.template
657
658
659# Delete X.509 private keys on full clean. Note that unless you need
660# to generate fresh keys, the "mostlyclean" target should be
661# sufficient (see below).
662# GnuPG random pool, no need to regenerate on every build
663CLEANFILES = $(x509_keys) authority/random_seed
664
665# rule to build MSVA trust database
666@USE_MSVA_TRUE@msva_home = msva.gnupghome
667extra_dirs = logs cache outputs
668
669# Apache configuration and data files
670apache_data = base_apache.conf cgi_module.conf data/* mime.types proxy_mods.conf
671EXTRA_DIST = $(apache_data) $(cert_templates) *.uid.in proxy_backend.bash \
672        runtests server-crl.template server-softhsm.conf softhsm.bash
673
674
675# Lockfile for the main Apache process
676test_lockfile = ./test.lock
677# Maximum wait time in seconds for flock to aquire instance lock files
678lock_wait = 30
679AM_TESTS_ENVIRONMENT = export APACHE2=$(APACHE2); \
680        export AP_LIBEXECDIR=$(AP_LIBEXECDIR); \
681        export TEST_LOCK="$(test_lockfile)"; \
682        export TEST_LOCK_WAIT="$(lock_wait)"; \
683        export TEST_HOST="$(TEST_HOST)"; \
684        export TEST_IP="$(TEST_IP)"; \
685        export TEST_PORT="$(TEST_PORT)"; \
686        export MSVA_PORT="$(MSVA_PORT)"; \
687        export TEST_MSVA_MAX_WAIT="$(TEST_MSVA_MAX_WAIT)"; \
688        export TEST_MSVA_WAIT="$(TEST_MSVA_WAIT)"; \
689        export TEST_QUERY_DELAY="$(TEST_QUERY_DELAY)"; \
690        export BACKEND_HOST="$(TEST_HOST)"; \
691        export BACKEND_IP="$(TEST_IP)";
692
693all: all-recursive
694
695.SUFFIXES:
696.SUFFIXES: .log .test .test$(EXEEXT) .trs
697$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(srcdir)/test_ca.mk $(am__configure_deps)
698        @for dep in $?; do \
699          case '$(am__configure_deps)' in \
700            *$$dep*) \
701              ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
702                && { if test -f $@; then exit 0; else break; fi; }; \
703              exit 1;; \
704          esac; \
705        done; \
706        echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu test/Makefile'; \
707        $(am__cd) $(top_srcdir) && \
708          $(AUTOMAKE) --gnu test/Makefile
709Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
710        @case '$?' in \
711          *config.status*) \
712            cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
713          *) \
714            echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
715            cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
716        esac;
717$(srcdir)/test_ca.mk $(am__empty):
718
719$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
720        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
721
722$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
723        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
724$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
725        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
726$(am__aclocal_m4_deps):
727
728mostlyclean-libtool:
729        -rm -f *.lo
730
731clean-libtool:
732        -rm -rf .libs _libs
733
734# This directory's subdirectories are mostly independent; you can cd
735# into them and run 'make' without going through this Makefile.
736# To change the values of 'make' variables: instead of editing Makefiles,
737# (1) if the variable is set in 'config.status', edit 'config.status'
738#     (which will cause the Makefiles to be regenerated when you run 'make');
739# (2) otherwise, pass the desired values on the 'make' command line.
740$(am__recursive_targets):
741        @fail=; \
742        if $(am__make_keepgoing); then \
743          failcom='fail=yes'; \
744        else \
745          failcom='exit 1'; \
746        fi; \
747        dot_seen=no; \
748        target=`echo $@ | sed s/-recursive//`; \
749        case "$@" in \
750          distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
751          *) list='$(SUBDIRS)' ;; \
752        esac; \
753        for subdir in $$list; do \
754          echo "Making $$target in $$subdir"; \
755          if test "$$subdir" = "."; then \
756            dot_seen=yes; \
757            local_target="$$target-am"; \
758          else \
759            local_target="$$target"; \
760          fi; \
761          ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
762          || eval $$failcom; \
763        done; \
764        if test "$$dot_seen" = "no"; then \
765          $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
766        fi; test -z "$$fail"
767
768ID: $(am__tagged_files)
769        $(am__define_uniq_tagged_files); mkid -fID $$unique
770tags: tags-recursive
771TAGS: tags
772
773tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
774        set x; \
775        here=`pwd`; \
776        if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
777          include_option=--etags-include; \
778          empty_fix=.; \
779        else \
780          include_option=--include; \
781          empty_fix=; \
782        fi; \
783        list='$(SUBDIRS)'; for subdir in $$list; do \
784          if test "$$subdir" = .; then :; else \
785            test ! -f $$subdir/TAGS || \
786              set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
787          fi; \
788        done; \
789        $(am__define_uniq_tagged_files); \
790        shift; \
791        if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
792          test -n "$$unique" || unique=$$empty_fix; \
793          if test $$# -gt 0; then \
794            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
795              "$$@" $$unique; \
796          else \
797            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
798              $$unique; \
799          fi; \
800        fi
801ctags: ctags-recursive
802
803CTAGS: ctags
804ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
805        $(am__define_uniq_tagged_files); \
806        test -z "$(CTAGS_ARGS)$$unique" \
807          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
808             $$unique
809
810GTAGS:
811        here=`$(am__cd) $(top_builddir) && pwd` \
812          && $(am__cd) $(top_srcdir) \
813          && gtags -i $(GTAGS_ARGS) "$$here"
814cscopelist: cscopelist-recursive
815
816cscopelist-am: $(am__tagged_files)
817        list='$(am__tagged_files)'; \
818        case "$(srcdir)" in \
819          [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
820          *) sdir=$(subdir)/$(srcdir) ;; \
821        esac; \
822        for i in $$list; do \
823          if test -f "$$i"; then \
824            echo "$(subdir)/$$i"; \
825          else \
826            echo "$$sdir/$$i"; \
827          fi; \
828        done >> $(top_builddir)/cscope.files
829
830distclean-tags:
831        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
832
833# Recover from deleted '.trs' file; this should ensure that
834# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
835# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
836# to avoid problems with "make -n".
837.log.trs:
838        rm -f $< $@
839        $(MAKE) $(AM_MAKEFLAGS) $<
840
841# Leading 'am--fnord' is there to ensure the list of targets does not
842# expand to empty, as could happen e.g. with make check TESTS=''.
843am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
844am--force-recheck:
845        @:
846
847$(TEST_SUITE_LOG): $(TEST_LOGS)
848        @$(am__set_TESTS_bases); \
849        am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
850        redo_bases=`for i in $$bases; do \
851                      am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
852                    done`; \
853        if test -n "$$redo_bases"; then \
854          redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
855          redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
856          if $(am__make_dryrun); then :; else \
857            rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
858          fi; \
859        fi; \
860        if test -n "$$am__remaking_logs"; then \
861          echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
862               "recursion detected" >&2; \
863        elif test -n "$$redo_logs"; then \
864          am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
865        fi; \
866        if $(am__make_dryrun); then :; else \
867          st=0;  \
868          errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
869          for i in $$redo_bases; do \
870            test -f $$i.trs && test -r $$i.trs \
871              || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
872            test -f $$i.log && test -r $$i.log \
873              || { echo "$$errmsg $$i.log" >&2; st=1; }; \
874          done; \
875          test $$st -eq 0 || exit 1; \
876        fi
877        @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
878        ws='[   ]'; \
879        results=`for b in $$bases; do echo $$b.trs; done`; \
880        test -n "$$results" || results=/dev/null; \
881        all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
882        pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
883        fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
884        skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
885        xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
886        xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
887        error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
888        if test `expr $$fail + $$xpass + $$error` -eq 0; then \
889          success=true; \
890        else \
891          success=false; \
892        fi; \
893        br='==================='; br=$$br$$br$$br$$br; \
894        result_count () \
895        { \
896            if test x"$$1" = x"--maybe-color"; then \
897              maybe_colorize=yes; \
898            elif test x"$$1" = x"--no-color"; then \
899              maybe_colorize=no; \
900            else \
901              echo "$@: invalid 'result_count' usage" >&2; exit 4; \
902            fi; \
903            shift; \
904            desc=$$1 count=$$2; \
905            if test $$maybe_colorize = yes && test $$count -gt 0; then \
906              color_start=$$3 color_end=$$std; \
907            else \
908              color_start= color_end=; \
909            fi; \
910            echo "$${color_start}# $$desc $$count$${color_end}"; \
911        }; \
912        create_testsuite_report () \
913        { \
914          result_count $$1 "TOTAL:" $$all   "$$brg"; \
915          result_count $$1 "PASS: " $$pass  "$$grn"; \
916          result_count $$1 "SKIP: " $$skip  "$$blu"; \
917          result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
918          result_count $$1 "FAIL: " $$fail  "$$red"; \
919          result_count $$1 "XPASS:" $$xpass "$$red"; \
920          result_count $$1 "ERROR:" $$error "$$mgn"; \
921        }; \
922        {                                                               \
923          echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
924            $(am__rst_title);                                           \
925          create_testsuite_report --no-color;                           \
926          echo;                                                         \
927          echo ".. contents:: :depth: 2";                               \
928          echo;                                                         \
929          for b in $$bases; do echo $$b; done                           \
930            | $(am__create_global_log);                                 \
931        } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
932        mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
933        if $$success; then                                              \
934          col="$$grn";                                                  \
935         else                                                           \
936          col="$$red";                                                  \
937          test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
938        fi;                                                             \
939        echo "$${col}$$br$${std}";                                      \
940        echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
941        echo "$${col}$$br$${std}";                                      \
942        create_testsuite_report --maybe-color;                          \
943        echo "$$col$$br$$std";                                          \
944        if $$success; then :; else                                      \
945          echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
946          if test -n "$(PACKAGE_BUGREPORT)"; then                       \
947            echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
948          fi;                                                           \
949          echo "$$col$$br$$std";                                        \
950        fi;                                                             \
951        $$success || exit 1
952
953check-TESTS:
954        @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
955        @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
956        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
957        @set +e; $(am__set_TESTS_bases); \
958        log_list=`for i in $$bases; do echo $$i.log; done`; \
959        trs_list=`for i in $$bases; do echo $$i.trs; done`; \
960        log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
961        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
962        exit $$?;
963recheck: all $(dist_check_SCRIPTS) $(check_DATA)
964        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
965        @set +e; $(am__set_TESTS_bases); \
966        bases=`for i in $$bases; do echo $$i; done \
967                 | $(am__list_recheck_tests)` || exit 1; \
968        log_list=`for i in $$bases; do echo $$i.log; done`; \
969        log_list=`echo $$log_list`; \
970        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
971                am__force_recheck=am--force-recheck \
972                TEST_LOGS="$$log_list"; \
973        exit $$?
974test-00_basic.bash.log: test-00_basic.bash
975        @p='test-00_basic.bash'; \
976        b='test-00_basic.bash'; \
977        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
978        --log-file $$b.log --trs-file $$b.trs \
979        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
980        "$$tst" $(AM_TESTS_FD_REDIRECT)
981test-01_serverwide_priorities.bash.log: test-01_serverwide_priorities.bash
982        @p='test-01_serverwide_priorities.bash'; \
983        b='test-01_serverwide_priorities.bash'; \
984        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
985        --log-file $$b.log --trs-file $$b.trs \
986        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
987        "$$tst" $(AM_TESTS_FD_REDIRECT)
988test-02_cache_in_vhost.bash.log: test-02_cache_in_vhost.bash
989        @p='test-02_cache_in_vhost.bash'; \
990        b='test-02_cache_in_vhost.bash'; \
991        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
992        --log-file $$b.log --trs-file $$b.trs \
993        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
994        "$$tst" $(AM_TESTS_FD_REDIRECT)
995test-03_cachetimeout_in_vhost.bash.log: test-03_cachetimeout_in_vhost.bash
996        @p='test-03_cachetimeout_in_vhost.bash'; \
997        b='test-03_cachetimeout_in_vhost.bash'; \
998        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
999        --log-file $$b.log --trs-file $$b.trs \
1000        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1001        "$$tst" $(AM_TESTS_FD_REDIRECT)
1002test-04_basic_nosni.bash.log: test-04_basic_nosni.bash
1003        @p='test-04_basic_nosni.bash'; \
1004        b='test-04_basic_nosni.bash'; \
1005        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1006        --log-file $$b.log --trs-file $$b.trs \
1007        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1008        "$$tst" $(AM_TESTS_FD_REDIRECT)
1009test-05_mismatched-priorities.bash.log: test-05_mismatched-priorities.bash
1010        @p='test-05_mismatched-priorities.bash'; \
1011        b='test-05_mismatched-priorities.bash'; \
1012        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1013        --log-file $$b.log --trs-file $$b.trs \
1014        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1015        "$$tst" $(AM_TESTS_FD_REDIRECT)
1016test-06_verify_sni_a.bash.log: test-06_verify_sni_a.bash
1017        @p='test-06_verify_sni_a.bash'; \
1018        b='test-06_verify_sni_a.bash'; \
1019        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1020        --log-file $$b.log --trs-file $$b.trs \
1021        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1022        "$$tst" $(AM_TESTS_FD_REDIRECT)
1023test-07_verify_sni_b.bash.log: test-07_verify_sni_b.bash
1024        @p='test-07_verify_sni_b.bash'; \
1025        b='test-07_verify_sni_b.bash'; \
1026        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1027        --log-file $$b.log --trs-file $$b.trs \
1028        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1029        "$$tst" $(AM_TESTS_FD_REDIRECT)
1030test-08_verify_no_sni_fallback_to_first_vhost.bash.log: test-08_verify_no_sni_fallback_to_first_vhost.bash
1031        @p='test-08_verify_no_sni_fallback_to_first_vhost.bash'; \
1032        b='test-08_verify_no_sni_fallback_to_first_vhost.bash'; \
1033        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1034        --log-file $$b.log --trs-file $$b.trs \
1035        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1036        "$$tst" $(AM_TESTS_FD_REDIRECT)
1037test-09_verify_no_sni_fails_with_wrong_order.bash.log: test-09_verify_no_sni_fails_with_wrong_order.bash
1038        @p='test-09_verify_no_sni_fails_with_wrong_order.bash'; \
1039        b='test-09_verify_no_sni_fails_with_wrong_order.bash'; \
1040        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1041        --log-file $$b.log --trs-file $$b.trs \
1042        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1043        "$$tst" $(AM_TESTS_FD_REDIRECT)
1044test-10_basic_client_verification.bash.log: test-10_basic_client_verification.bash
1045        @p='test-10_basic_client_verification.bash'; \
1046        b='test-10_basic_client_verification.bash'; \
1047        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1048        --log-file $$b.log --trs-file $$b.trs \
1049        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1050        "$$tst" $(AM_TESTS_FD_REDIRECT)
1051test-11_basic_client_verification_fail.bash.log: test-11_basic_client_verification_fail.bash
1052        @p='test-11_basic_client_verification_fail.bash'; \
1053        b='test-11_basic_client_verification_fail.bash'; \
1054        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1055        --log-file $$b.log --trs-file $$b.trs \
1056        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1057        "$$tst" $(AM_TESTS_FD_REDIRECT)
1058test-12_cgi_variables.bash.log: test-12_cgi_variables.bash
1059        @p='test-12_cgi_variables.bash'; \
1060        b='test-12_cgi_variables.bash'; \
1061        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1062        --log-file $$b.log --trs-file $$b.trs \
1063        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1064        "$$tst" $(AM_TESTS_FD_REDIRECT)
1065test-13_cgi_variables_no_client_cert.bash.log: test-13_cgi_variables_no_client_cert.bash
1066        @p='test-13_cgi_variables_no_client_cert.bash'; \
1067        b='test-13_cgi_variables_no_client_cert.bash'; \
1068        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1069        --log-file $$b.log --trs-file $$b.trs \
1070        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1071        "$$tst" $(AM_TESTS_FD_REDIRECT)
1072test-14_basic_openpgp.bash.log: test-14_basic_openpgp.bash
1073        @p='test-14_basic_openpgp.bash'; \
1074        b='test-14_basic_openpgp.bash'; \
1075        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1076        --log-file $$b.log --trs-file $$b.trs \
1077        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1078        "$$tst" $(AM_TESTS_FD_REDIRECT)
1079test-15_basic_msva.bash.log: test-15_basic_msva.bash
1080        @p='test-15_basic_msva.bash'; \
1081        b='test-15_basic_msva.bash'; \
1082        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1083        --log-file $$b.log --trs-file $$b.trs \
1084        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1085        "$$tst" $(AM_TESTS_FD_REDIRECT)
1086test-16_view-status.bash.log: test-16_view-status.bash
1087        @p='test-16_view-status.bash'; \
1088        b='test-16_view-status.bash'; \
1089        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1090        --log-file $$b.log --trs-file $$b.trs \
1091        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1092        "$$tst" $(AM_TESTS_FD_REDIRECT)
1093test-17_cgi_vars_large_cert.bash.log: test-17_cgi_vars_large_cert.bash
1094        @p='test-17_cgi_vars_large_cert.bash'; \
1095        b='test-17_cgi_vars_large_cert.bash'; \
1096        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1097        --log-file $$b.log --trs-file $$b.trs \
1098        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1099        "$$tst" $(AM_TESTS_FD_REDIRECT)
1100test-18_client_verification_wrong_cert.bash.log: test-18_client_verification_wrong_cert.bash
1101        @p='test-18_client_verification_wrong_cert.bash'; \
1102        b='test-18_client_verification_wrong_cert.bash'; \
1103        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1104        --log-file $$b.log --trs-file $$b.trs \
1105        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1106        "$$tst" $(AM_TESTS_FD_REDIRECT)
1107test-19_TLS_reverse_proxy.bash.log: test-19_TLS_reverse_proxy.bash
1108        @p='test-19_TLS_reverse_proxy.bash'; \
1109        b='test-19_TLS_reverse_proxy.bash'; \
1110        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1111        --log-file $$b.log --trs-file $$b.trs \
1112        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1113        "$$tst" $(AM_TESTS_FD_REDIRECT)
1114test-20_TLS_reverse_proxy_client_auth.bash.log: test-20_TLS_reverse_proxy_client_auth.bash
1115        @p='test-20_TLS_reverse_proxy_client_auth.bash'; \
1116        b='test-20_TLS_reverse_proxy_client_auth.bash'; \
1117        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1118        --log-file $$b.log --trs-file $$b.trs \
1119        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1120        "$$tst" $(AM_TESTS_FD_REDIRECT)
1121test-21_TLS_reverse_proxy_wrong_cert.bash.log: test-21_TLS_reverse_proxy_wrong_cert.bash
1122        @p='test-21_TLS_reverse_proxy_wrong_cert.bash'; \
1123        b='test-21_TLS_reverse_proxy_wrong_cert.bash'; \
1124        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1125        --log-file $$b.log --trs-file $$b.trs \
1126        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1127        "$$tst" $(AM_TESTS_FD_REDIRECT)
1128test-22_TLS_reverse_proxy_crl_revoke.bash.log: test-22_TLS_reverse_proxy_crl_revoke.bash
1129        @p='test-22_TLS_reverse_proxy_crl_revoke.bash'; \
1130        b='test-22_TLS_reverse_proxy_crl_revoke.bash'; \
1131        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1132        --log-file $$b.log --trs-file $$b.trs \
1133        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1134        "$$tst" $(AM_TESTS_FD_REDIRECT)
1135test-23_TLS_reverse_proxy_mismatched_priorities.bash.log: test-23_TLS_reverse_proxy_mismatched_priorities.bash
1136        @p='test-23_TLS_reverse_proxy_mismatched_priorities.bash'; \
1137        b='test-23_TLS_reverse_proxy_mismatched_priorities.bash'; \
1138        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1139        --log-file $$b.log --trs-file $$b.trs \
1140        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1141        "$$tst" $(AM_TESTS_FD_REDIRECT)
1142test-24_pkcs11_cert.bash.log: test-24_pkcs11_cert.bash
1143        @p='test-24_pkcs11_cert.bash'; \
1144        b='test-24_pkcs11_cert.bash'; \
1145        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1146        --log-file $$b.log --trs-file $$b.trs \
1147        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1148        "$$tst" $(AM_TESTS_FD_REDIRECT)
1149.test.log:
1150        @p='$<'; \
1151        $(am__set_b); \
1152        $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1153        --log-file $$b.log --trs-file $$b.trs \
1154        $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1155        "$$tst" $(AM_TESTS_FD_REDIRECT)
1156@am__EXEEXT_TRUE@.test$(EXEEXT).log:
1157@am__EXEEXT_TRUE@       @p='$<'; \
1158@am__EXEEXT_TRUE@       $(am__set_b); \
1159@am__EXEEXT_TRUE@       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1160@am__EXEEXT_TRUE@       --log-file $$b.log --trs-file $$b.trs \
1161@am__EXEEXT_TRUE@       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1162@am__EXEEXT_TRUE@       "$$tst" $(AM_TESTS_FD_REDIRECT)
1163
1164distdir: $(DISTFILES)
1165        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1166        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1167        list='$(DISTFILES)'; \
1168          dist_files=`for file in $$list; do echo $$file; done | \
1169          sed -e "s|^$$srcdirstrip/||;t" \
1170              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1171        case $$dist_files in \
1172          */*) $(MKDIR_P) `echo "$$dist_files" | \
1173                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1174                           sort -u` ;; \
1175        esac; \
1176        for file in $$dist_files; do \
1177          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1178          if test -d $$d/$$file; then \
1179            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1180            if test -d "$(distdir)/$$file"; then \
1181              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1182            fi; \
1183            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1184              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1185              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1186            fi; \
1187            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1188          else \
1189            test -f "$(distdir)/$$file" \
1190            || cp -p $$d/$$file "$(distdir)/$$file" \
1191            || exit 1; \
1192          fi; \
1193        done
1194        @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
1195          if test "$$subdir" = .; then :; else \
1196            $(am__make_dryrun) \
1197              || test -d "$(distdir)/$$subdir" \
1198              || $(MKDIR_P) "$(distdir)/$$subdir" \
1199              || exit 1; \
1200            dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
1201            $(am__relativize); \
1202            new_distdir=$$reldir; \
1203            dir1=$$subdir; dir2="$(top_distdir)"; \
1204            $(am__relativize); \
1205            new_top_distdir=$$reldir; \
1206            echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
1207            echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
1208            ($(am__cd) $$subdir && \
1209              $(MAKE) $(AM_MAKEFLAGS) \
1210                top_distdir="$$new_top_distdir" \
1211                distdir="$$new_distdir" \
1212                am__remove_distdir=: \
1213                am__skip_length_check=: \
1214                am__skip_mode_fix=: \
1215                distdir) \
1216              || exit 1; \
1217          fi; \
1218        done
1219check-am: all-am
1220        $(MAKE) $(AM_MAKEFLAGS) $(dist_check_SCRIPTS) $(check_DATA)
1221        $(MAKE) $(AM_MAKEFLAGS) check-TESTS
1222check: check-recursive
1223all-am: Makefile
1224installdirs: installdirs-recursive
1225installdirs-am:
1226install: install-recursive
1227install-exec: install-exec-recursive
1228install-data: install-data-recursive
1229uninstall: uninstall-recursive
1230
1231install-am: all-am
1232        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1233
1234installcheck: installcheck-recursive
1235install-strip:
1236        if test -z '$(STRIP)'; then \
1237          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1238            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1239              install; \
1240        else \
1241          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1242            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1243            "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1244        fi
1245mostlyclean-generic:
1246        -test -z "$(MOSTLYCLEANFILES)" || rm -f $(MOSTLYCLEANFILES)
1247        -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1248        -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1249        -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1250
1251clean-generic:
1252        -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
1253
1254distclean-generic:
1255        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1256        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1257
1258maintainer-clean-generic:
1259        @echo "This command is intended for maintainers to use"
1260        @echo "it deletes files that may require special tools to rebuild."
1261clean: clean-recursive
1262
1263clean-am: clean-generic clean-libtool clean-local mostlyclean-am
1264
1265distclean: distclean-recursive
1266        -rm -f Makefile
1267distclean-am: clean-am distclean-generic distclean-tags
1268
1269dvi: dvi-recursive
1270
1271dvi-am:
1272
1273html: html-recursive
1274
1275html-am:
1276
1277info: info-recursive
1278
1279info-am:
1280
1281install-data-am:
1282
1283install-dvi: install-dvi-recursive
1284
1285install-dvi-am:
1286
1287install-exec-am:
1288
1289install-html: install-html-recursive
1290
1291install-html-am:
1292
1293install-info: install-info-recursive
1294
1295install-info-am:
1296
1297install-man:
1298
1299install-pdf: install-pdf-recursive
1300
1301install-pdf-am:
1302
1303install-ps: install-ps-recursive
1304
1305install-ps-am:
1306
1307installcheck-am:
1308
1309maintainer-clean: maintainer-clean-recursive
1310        -rm -f Makefile
1311maintainer-clean-am: distclean-am maintainer-clean-generic
1312
1313mostlyclean: mostlyclean-recursive
1314
1315mostlyclean-am: mostlyclean-generic mostlyclean-libtool
1316
1317pdf: pdf-recursive
1318
1319pdf-am:
1320
1321ps: ps-recursive
1322
1323ps-am:
1324
1325uninstall-am:
1326
1327.MAKE: $(am__recursive_targets) check-am install-am install-strip
1328
1329.PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am check \
1330        check-TESTS check-am clean clean-generic clean-libtool \
1331        clean-local cscopelist-am ctags ctags-am distclean \
1332        distclean-generic distclean-libtool distclean-tags distdir dvi \
1333        dvi-am html html-am info info-am install install-am \
1334        install-data install-data-am install-dvi install-dvi-am \
1335        install-exec install-exec-am install-html install-html-am \
1336        install-info install-info-am install-man install-pdf \
1337        install-pdf-am install-ps install-ps-am install-strip \
1338        installcheck installcheck-am installdirs installdirs-am \
1339        maintainer-clean maintainer-clean-generic mostlyclean \
1340        mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1341        recheck tags tags-am uninstall uninstall-am
1342
1343.PRECIOUS: Makefile
1344
1345
1346%.template: $(srcdir)/%.template.in
1347        sed s/__HOSTNAME__/$(TEST_HOST)/ < $< > $@
1348
1349%.uid: $(srcdir)/%.uid.in
1350        sed s/__HOSTNAME__/$(TEST_HOST)/ < $< > $@
1351
1352%/secret.key:
1353        mkdir -p $(dir $@)
1354        chmod 0700 $(dir $@)
1355        certtool --generate-privkey > $@
1356
1357%/secring.gpg: %.uid %/secret.key
1358        rm -f $(dir $@)pubring.gpg $(dir $@)secring.gpg $(dir $@)trustdb.gpg
1359        PEM2OPENPGP_EXPIRATION=86400 PEM2OPENPGP_USAGE_FLAGS=authenticate,certify,sign pem2openpgp "$$(cat $<)" < $(dir $@)secret.key | GNUPGHOME=$(dir $@) gpg --import
1360        printf "%s:6:\n" "$$(GNUPGHOME=$(dir $@) gpg --with-colons --list-secret-keys --fingerprint | grep ^fpr: | cut -f 10 -d :)" | GNUPGHOME=$(dir $@) gpg --import-ownertrust
1361
1362%/gpg.conf: %/secring.gpg
1363        printf "default-key %s\n" "$$(GNUPGHOME=$(dir $@) gpg --with-colons --list-secret-keys --fingerprint | grep ^fpr: | cut -f 10 -d :)" > $@
1364
1365%/secret.pgp: %/secring.gpg
1366        GNUPGHOME=$(dir $@) gpg --armor --batch --no-tty --yes --export-secret-key "$$(GNUPGHOME=$(dir $@) gpg --with-colons --list-secret-keys --fingerprint | grep ^fpr: | cut -f 10 -d :)" > $@
1367
1368%/minimal.pgp: %/secring.gpg
1369        GNUPGHOME=$(dir $@) gpg --armor --export "$$(GNUPGHOME=$(dir $@) gpg --with-colons --list-secret-keys --fingerprint | grep ^fpr: | cut -f 10 -d :)" > $@
1370
1371# Import and signing modify the shared keyring, which leads to race
1372# conditions with parallel make. Locking avoids this problem.
1373%/cert.pgp: %/minimal.pgp authority/gpg.conf
1374        GNUPGHOME=authority flock authority/lock gpg --import $<
1375        GNUPGHOME=authority flock authority/lock gpg --batch --sign-key --no-tty --yes "$$(GNUPGHOME=$(dir $@) gpg --with-colons --list-secret-keys --fingerprint | grep ^fpr: | cut -f 10 -d :)"
1376        GNUPGHOME=authority gpg --armor --export "$$(GNUPGHOME=$(dir $@) gpg --with-colons --list-secret-keys --fingerprint | grep ^fpr: | cut -f 10 -d :)" > $@
1377
1378# special cases for the authorities' root certs:
1379authority/x509.pem: authority.template authority/secret.key
1380        certtool --generate-self-signed --load-privkey authority/secret.key --template authority.template > $@
1381rogueca/x509.pem: $(srcdir)/rogueca.template rogueca/secret.key
1382        certtool --generate-self-signed --load-privkey rogueca/secret.key --template $(srcdir)/rogueca.template > $@
1383
1384%/cert-request: %.template %/secret.key
1385        certtool --generate-request --load-privkey $(dir $@)secret.key --template $< > $@
1386
1387%/x509.pem: %.template %/cert-request authority/secret.key authority/x509.pem
1388        certtool --generate-certificate --load-ca-certificate authority/x509.pem --load-ca-privkey authority/secret.key --load-request $(dir $@)cert-request --template $< > $@
1389
1390%/softhsm.db: %/x509.pem %/secret.key
1391        SOFTHSM_CONF="$(srcdir)/$(*)-softhsm.conf" $(srcdir)/softhsm.bash init $(dir $@)secret.key $(dir $@)x509.pem
1392
1393# Generate CRL revoking a certain certificate. Currently used to
1394# revoke the server certificate and check if setting the CRL as
1395# GnuTLSProxyCRLFile causes the connection to the back end server to
1396# fail.
1397%/crl.pem: %/x509.pem ${srcdir}/%-crl.template
1398        certtool --generate-crl \
1399                --load-ca-privkey authority/secret.key \
1400                --load-ca-certificate authority/x509.pem \
1401                --load-certificate $< \
1402                --template "${srcdir}/$(*)-crl.template" \
1403                > $@
1404@USE_MSVA_TRUE@$(msva_home)/trustdb.gpg: authority/minimal.pgp client/cert.pgp
1405@USE_MSVA_TRUE@ mkdir -p -m 0700 $(dir $@)
1406@USE_MSVA_TRUE@ GNUPGHOME=$(dir $@) gpg --import < $<
1407@USE_MSVA_TRUE@ printf "%s:6:\n" "$$(GNUPGHOME=authority gpg --with-colons --list-secret-keys --fingerprint | grep ^fpr: | cut -f 10 -d :)" | GNUPGHOME=$(dir $@) gpg --import-ownertrust
1408@USE_MSVA_TRUE@ GNUPGHOME=$(dir $@) gpg --import < client/cert.pgp
1409@USE_MSVA_TRUE@ printf "keyserver does-not-exist.example\n" > $(msva_home)/gpg.conf
1410make-test-dirs:
1411        mkdir -p $(extra_dirs)
1412.PHONY: make-test-dirs
1413
1414clean-local:
1415        -rmdir $(identities) || true
1416        -rmdir $(extra_dirs) || true
1417@USE_MSVA_TRUE@ -rmdir $(msva_home) || true
1418
1419# port for the main Apache server
1420TEST_PORT ?= 9932
1421# port for MSVA in test cases that use it
1422MSVA_PORT ?= 9933
1423# maximum time to wait for MSVA startup (milliseconds)
1424TEST_MSVA_MAX_WAIT ?= 10000
1425# wait loop time for MSVA startup (milliseconds)
1426TEST_MSVA_WAIT ?= 400
1427# seconds for the HTTP request to be sent and responded to
1428TEST_QUERY_DELAY ?= 30
1429
1430# Echo AM_TESTS_ENVIRONMENT. This can be useful for debugging, e.g. if
1431# you want to manually run an Apache instance with Valgrind using the
1432# same configuration as a test case.
1433show-test-env: export TEST_ENV=$(AM_TESTS_ENVIRONMENT)
1434show-test-env:
1435        @echo "$${TEST_ENV}"
1436
1437# Tell versions [3.59,3.63) of GNU make to not export all variables.
1438# Otherwise a system limit (for SysV at least) may be exceeded.
1439.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.